This documentation provides examples for specific Twilio SendGrid v3 API use cases. Please [open an issue](https://github.com/sendgrid/sendgrid-nodejs/issues) or make a pull request for any email use cases you would like us to document here. Thank you!

# Email Use Cases
* [Send a Single Email to a Single Recipient](single-email-single-recipient.md)
* [Send a Single Email to Multiple Recipients](single-email-multiple-recipients.md)
* [Send Multiple Emails to Multiple Recipients](multiple-emails-multiple-recipients.md)
* [Send Multiple Emails with Personalizations](multiple-emails-personalizations.md)
* [Send Multiple Emails with Personalizations and Substitutions](multiple-emails-personalizations-with-substitutions.md)
* [CC, BCC and Reply To](cc-bcc-reply-to.md)
* [Flexible Email Address Fields](flexible-address-fields.md)
* [Handling Success/Failure/Errors](success-failure-errors.md)
* [Show Email Activity](email-activity.md)
* [Advanced Usage](advanced.md)
  * [Transactional Templates](transactional-templates.md)
  * [Legacy Transactional Templates](transactional-legacy-templates.md)
  * [Hide Warnings](hide-warnings.md)
  * [Attachments](attachments.md)
  * [Customization Per Recipient](customization.md)
  * [Manually Providing Content](manual-content.md)
  * [Scheduled Send](scheduled-send.md)
  * [Specifying Custom Headers](custom-headers.md)
  * [Specifying Categories](categories.md)
  * [Timeout](timeout.md)
  * [Kitchen Sink - an example with all settings used](kitchen-sink.md)

# Twilio Use Cases
* [Twilio Setup](twilio-setup.md)
* [Send an Email With Twilio Email (Pilot)](twilio-email.md)
* [Send an SMS Message](sms.md)

# Non-Email Use Cases
* [How to Set up a Domain Authentication](domain-authentication.md)
* [How to View Email Statistics](email-stats.md)
